Retrieves an array of widgets.
Request Headers
| Header | Value | Required | Description |
|---|---|---|---|
| ECI-ApiKey | string | Yes | Your API key. See Authentication. |
| Content-Type | application/json | Yes | All requests must specify JSON content type. |
Responses
200
OK
The request succeeded and the response body contains the requested data.
Response Body Parameters
Array of:
WidgetResponse
| Property | Description | Type | |||||||||||||||||||||||||||||||||||||||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
| description | Widget description | string | |||||||||||||||||||||||||||||||||||||||||||||||||||
| filters | Widget filters | FilterResponse[] | |||||||||||||||||||||||||||||||||||||||||||||||||||
|
FilterResponse properties
|
|||||||||||||||||||||||||||||||||||||||||||||||||||||
| tags | Widget tags | string[] | |||||||||||||||||||||||||||||||||||||||||||||||||||
| widgetId | Widget identifier | integer (int32) | |||||||||||||||||||||||||||||||||||||||||||||||||||
| widgetInfo | Widget info | string | |||||||||||||||||||||||||||||||||||||||||||||||||||
Example Response
[
{ "description": "string", "filters": [
{ "availableOperator": [], "caption": "string", "dataFieldId": 1, "dataType": {}, "fieldId": 1, "hidden": false, "operator": "string", "queryParameterName": "string", "recommended": false, "required": false, "value": "string"
}
], "tags": [
"string"
], "widgetId": 1, "widgetInfo": "string"
}
]